LINUX.ORG.RU

ERROR: could not insert 'nvidia': No such device

 


0

1

Не загружается модуль nvidia в ядро линукса.
Удалил nvidia из черного списка в modprobe.d.
Вот что записывается в dmesg при попытки загрузить модуль командой «modprobe nvidia»:

[ 1370.671985] ------------[ cut here ]------------
[ 1370.671997] WARNING: CPU: 2 PID: 7641 at /build/linux-H6_NPX/linux-3.18.6/fs/proc/generic.c:315 proc_register+0xd8/0x170()
[ 1370.671999] proc_dir_entry 'driver/nvidia' already registered
[ 1370.672000] Modules linked in: nvidia(PO+) xt_TCPMSS xt_tcpmss xt_tcpudp iptable_mangle ip_tables x_tables pppoe pppox nfnetlink_log bbswitch(O) nfnetlink binfmt_misc ppp_generic slhc loop dm_crypt joydev arc4 ath9k i915 ath9k_common ath9k_hw snd_hda_codec_hdmi snd_hda_codec_realtek ath mac80211 cfg80211 acer_wmi drm_kms_helper snd_hda_codec_generic sparse_keymap psmouse intel_powerclamp i2c_algo_bit rfkill iTCO_wdt snd_hda_intel snd_hda_controller drm i2c_i801 snd_hda_codec i2c_core evdev serio_raw iTCO_vendor_support lpc_ich mfd_core snd_hwdep snd_pcm snd_timer snd mei_me mei coretemp soundcore intel_ips mxm_wmi kvm_intel kvm battery ac wmi video acpi_cpufreq processor thermal_sys button ext4 crc16 mbcache jbd2 dm_mod sg sr_mod cdrom sd_mod hid_generic ata_generic usbhid hid broadcom ata_piix ehci_pci ehci_hcd crc32c_intel tg3 ptp pps_core libphy libata scsi_mod usbcore usb_common [last unloaded: nvidia]
[ 1370.672065] CPU: 2 PID: 7641 Comm: modprobe Tainted: P        W  O   3.18.0-kali3-amd64 #1 Debian 3.18.6-1~kali2
[ 1370.672067] Hardware name: Acer Aspire 5742G/Aspire 5742G, BIOS V1.30 08/13/2012
[ 1370.672069]  0000000000000000 0000000000000009 ffffffff81554a5e ffff88008e0d3bb8
[ 1370.672072]  ffffffff8106db8b ffff8801d42f3340 ffff8801d42f3e35 ffff8801d42f3dc0
[ 1370.672074]  ffff8801d4ce8e40 0000000000000000 ffffffff8106dc7a ffffffff81733338
[ 1370.672077] Call Trace:
[ 1370.672086]  [<ffffffff81554a5e>] ? dump_stack+0x41/0x51
[ 1370.672093]  [<ffffffff8106db8b>] ? warn_slowpath_common+0x8b/0xc0
[ 1370.672095]  [<ffffffff8106dc7a>] ? warn_slowpath_fmt+0x4a/0x50
[ 1370.672098]  [<ffffffff81228e28>] ? proc_register+0xd8/0x170
[ 1370.672101]  [<ffffffff81228fd0>] ? proc_mkdir_data+0x50/0x70
[ 1370.672194]  [<ffffffffa0c0d6ab>] ? nv_register_procfs+0x5b/0x210 [nvidia]
[ 1370.672250]  [<ffffffffa17a336d>] ? nvidia_init_module+0x2bb/0x709 [nvidia]
[ 1370.672258]  [<ffffffffa17a3000>] ? 0xffffffffa17a3000
[ 1370.672301]  [<ffffffffa17a3082>] ? nvidia_frontend_init_module+0x82/0xb2 [nvidia]
[ 1370.672306]  [<ffffffff81002158>] ? do_one_initcall+0xd8/0x210
[ 1370.672311]  [<ffffffff810e77e5>] ? load_module+0x1ce5/0x2660
[ 1370.672314]  [<ffffffff810e35a0>] ? unset_module_core_ro_nx+0x80/0x80
[ 1370.672318]  [<ffffffff8118d516>] ? vmap_page_range_noflush+0x256/0x370
[ 1370.672321]  [<ffffffff810e8224>] ? SyS_init_module+0xc4/0x110
[ 1370.672326]  [<ffffffff8155a9ed>] ? system_call_fast_compare_end+0xc/0x11
[ 1370.672327] ---[ end trace 748a9d8cb660179e ]---
[ 1370.672373] NVRM: This is a 64-bit BAR mapped above 4GB by the system
[ 1370.672373] NVRM: BIOS or the Linux kernel, but the PCI bridge
[ 1370.672373] NVRM: immediately upstream of this GPU does not define
[ 1370.672373] NVRM: a matching prefetchable memory window.
[ 1370.672376] NVRM: This may be due to a known Linux kernel bug.  Please
[ 1370.672376] NVRM: see the README section on 64-bit BARs for additional
[ 1370.672376] NVRM: information.
[ 1370.672382] nvidia: probe of 0000:01:00.0 failed with error -1
[ 1370.672421] Error: Driver 'nvlink' is already registered, aborting...
[ 1370.672690] NVRM: The NVIDIA probe routine failed for 1 device(s).
[ 1370.672693] NVRM: None of the NVIDIA graphics adapters were initialized!
[ 1370.672695] [drm] Module unloaded
[ 1370.672866] NVRM: NVIDIA init module failed!
modprobe nvidia выдает вот такую ошибку:
ERROR: could not insert 'nvidia': No such device
Драйвер nvidia пробовал более старый, такая же проблема. Не думаю что проблема в версии драйвера, в инструкции по установке по которой я ставил была такая же версия драйвера и там все получилось поставить.
uname -a
Linux kali 3.18.0-kali3-amd64 #1 SMP Debian 3.18.6-1~kali2 (2015-03-02) x86_64 GNU/Linux
dmesg | grep nvidia
root@kali:~# dmesg | grep -i nvidia
[    8.289329] nvidia: module license 'NVIDIA' taints kernel.
[    8.299501] nvidia 0000:01:00.0: enabling device (0000 -> 0003)
[    8.300068] [drm] Initialized nvidia-drm 0.0.0 20150116 for 0000:01:00.0 on minor 1
[    8.300075] NVRM: loading NVIDIA UNIX x86_64 Kernel Module  346.82  Wed Jun 17 10:37:46 PDT 2015
[  309.361991] nvidia: probe of 0000:01:00.0 failed with error -1
[  309.362295] NVRM: The NVIDIA probe routine failed for 1 device(s).
[  309.362301] NVRM: None of the NVIDIA graphics adapters were initialized!
[  309.362486] NVRM: NVIDIA init module failed!
[  391.639046] proc_dir_entry 'driver/nvidia' already registered
[  391.640515] Modules linked in: nvidia(PO+) xt_TCPMSS xt_tcpmss xt_tcpudp iptable_mangle ip_tables x_tables pppoe pppox nfnetlink_log bbswitch(O) nfnetlink binfmt_misc ppp_generic slhc loop dm_crypt joydev arc4 ath9k i915 ath9k_common ath9k_hw snd_hda_codec_hdmi snd_hda_codec_realtek ath mac80211 cfg80211 acer_wmi drm_kms_helper snd_hda_codec_generic sparse_keymap psmouse intel_powerclamp i2c_algo_bit rfkill iTCO_wdt snd_hda_intel snd_hda_controller drm i2c_i801 snd_hda_codec i2c_core evdev serio_raw iTCO_vendor_support lpc_ich mfd_core snd_hwdep snd_pcm snd_timer snd mei_me mei coretemp soundcore intel_ips mxm_wmi kvm_intel kvm battery ac wmi video acpi_cpufreq processor thermal_sys button ext4 crc16 mbcache jbd2 dm_mod sg sr_mod cdrom sd_mod hid_generic ata_generic usbhid hid broadcom ata_piix ehci_pci ehci_hcd crc32c_intel tg3 ptp pps_core libphy libata scsi_mod usbcore usb_common [last unloaded: nvidia]
[  391.670790]  [<ffffffffa14366ab>] ? nv_register_procfs+0x5b/0x210 [nvidia]
[  391.672645]  [<ffffffffa17a336d>] ? nvidia_init_module+0x2bb/0x709 [nvidia]
[  391.676340]  [<ffffffffa17a3082>] ? nvidia_frontend_init_module+0x82/0xb2 [nvidia]
[  391.717557] nvidia: probe of 0000:01:00.0 failed with error -1
[  391.721665] NVRM: The NVIDIA probe routine failed for 1 device(s).
[  391.723450] NVRM: None of the NVIDIA graphics adapters were initialized!
[  391.727343] NVRM: NVIDIA init module failed!

Ответ на: комментарий от wakuwaku

304.125 не собирается модуль dkms.

ERROR: Failed to run `usr/sbin/dkms build -m nvidia -v 304.125 -k 3.18.0-kali3-amd64`:
Kernel preparation unnecessary for this kernel. Skipping... 
Building module:
cleaning build area...
make KERNELRELEASE=3.18.0-kali3-amd64 module SYSSRC=/lib/modules/3.18.0-kali3 -amd64/build....(bad exit status: 2)
Error, Bad return status for module build on kernel: 3.18.0-kali3-amd64 (x86_64)
Consult /var/lib/dkms/nvidia/304.125/build/make.log for more information.

/var/lib/dkms/nvidia/304.125/build/make.log

DKMS make.log for nvidia-304.125 for kernel 3.18.0-kali3-amd64 (x86_64)
Вс авг  9 05:07:57 MSK 2015
If you are using a Linux 2.4 kernel, please make sure
you either have configured kernel sources matching your
kernel or the correct set of kernel headers installed
on your system.

If you are using a Linux 2.6 kernel, please make sure
you have configured kernel sources matching your kernel
installed on your system. If you specified a separate
output directory using either the "KBUILD_OUTPUT" or
the "O" KBUILD parameter, make sure to specify this
directory with the SYSOUT environment variable or with
the equivalent nvidia-installer command line option.

Depending on where and how the kernel sources (or the
kernel headers) were installed, you may need to specify
their location with the SYSSRC environment variable or
the equivalent nvidia-installer command line option.

*** Unable to determine the target kernel version. ***

make: *** [select_makefile] Ошибка 1

/var/log/nvidia-installer.log

nvidia-installer log file '/var/log/nvidia-installer.log'
creation time: Sun Aug  9 05:07:38 2015
installer version: 304.125

PATH: /usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/opt/VirtualGL/bin:/usr/local/cuda-7.0/bin

nvidia-installer command line:
    ./nvidia-installer
    --dkms
    -Z

Using: nvidia-installer ncurses user interface
WARNING: You do not appear to have an NVIDIA GPU supported by the 304.125 NVIDIA Linux graphics driver installed in this system.  For further details, please see the appendix SUPPORTED NVIDIA GRAPHICS CHIPS in the README available on the Linux driver download page at www.nvidia.com.
-> License accepted.
-> Installing NVIDIA driver version 304.125.
-> There appears to already be a driver installed on your system (version: 304.125).  As part of installing this driver (version: 304.125), the existing driver will be uninstalled.  Are you sure you want to continue? ('no' will abort installation) (Answer: Yes)
-> Would you like to register the kernel module sources with DKMS? This will allow DKMS to automatically build a new module, if you install a different kernel later. (Answer: Yes)
-> Installing both new and classic TLS OpenGL libraries.
-> Installing classic TLS 32bit OpenGL libraries.
-> Install NVIDIA's 32-bit compatibility OpenGL libraries? (Answer: Yes)
-> The NVIDIA 32-bit compatibility OpenGL libraries are to be installed relative to the top-level prefix (chroot) '/emul/ia32-linux'; however, this directory does not exist.  Please consult your distribution's documentation to confirm the correct top-level installation prefix for 32-bit compatiblity libraries.

Do you wish to install the 32-bit NVIDIA OpenGL compatibility libraries anyway? (Answer: Yes)
-> Uninstalling the previous installation with /usr/bin/nvidia-uninstall.
-> Searching for conflicting X files:
-> done.
-> Searching for conflicting OpenGL files:
-> done.
-> Searching for conflicting compat32 files:
-> done.
-> Installing 'NVIDIA Accelerated Graphics Driver for Linux-x86_64' (304.125):
   executing: '/sbin/ldconfig'...
   executing: '/sbin/depmod -aq'...
   ignored deprecated option -q
-> done.
-> Driver file installation is complete.
-> Installing DKMS kernel module:
ERROR: Failed to run `/usr/sbin/dkms build -m nvidia -v 304.125 -k 3.18.0-kali3-amd64`: 
Kernel preparation unnecessary for this kernel.  Skipping...

Building module:
cleaning build area....
make KERNELRELEASE=3.18.0-kali3-amd64 module SYSSRC=/lib/modules/3.18.0-kali3-amd64/build....(bad exit status: 2)
Error! Bad return status for module build on kernel: 3.18.0-kali3-amd64 (x86_64)
Consult /var/lib/dkms/nvidia/304.125/build/make.log for more information.
-> error.
ERROR: Failed to install the kernel module through DKMS. No kernel module was installed; please try installing again without DKMS, or check the DKMS logs for more information.
ERROR: Installation has failed.  Please see the file '/var/log/nvidia-installer.log' for details.  You may find suggestions on fixing installation problems in the README available on the Linux driver download page at www.nvidia.com.
Еще пробовал ставить 346.35 как вот тут в инструкции - http://webware.biz/?p=3267. Та же ошибка с загрузкой модуля что и в шапке - ERROR: could not insert 'nvidia': No such device.

drunkwolfs ()
Ответ на: комментарий от drunkwolfs

Это скорее всего оптимус, я больше ничего не подскажу. У меня только лаптопы с амд и интелом. Расскажи всё же про железо в ОП, если хочешь, чтобы помогли быстрее. Ну и в нормальных дистрах драйвер есть в репах, может быть дело в этом тоже.

wakuwaku ★★★★ ()
Последнее исправление: wakuwaku (всего исправлений: 1)
Ответ на: комментарий от drunkwolfs

*** Unable to determine the target kernel version.

Версия headers для загруженного ядра установлена?

WARNING: You do not appear to have an NVIDIA GPU supported by the 304.125 NVIDIA Linux graphics driver installed in this system.

А это говорит, что видеокарта не поддерживается этой версией драйвера.

pod ★★ ()

показывай lspci -nn

anonymous ()

После 331-ой версии очень много багов было на моей 310m, советую ставить именно 331-ую ветку, а потом уже экспериментировать с более новыми.

backbone ★★★★★ ()
Ответ на: комментарий от backbone

на десктопной 460 никаких багов не ловил. либо старые ноутбучные карты они считают второстепенными, либо проблема в тебе

anonymous ()
Ответ на: комментарий от anonymous

На десктопе тоже никаких багов, на ноуте при частой загрузке/выгрузке модуля (требуется для nVidia Optimus) разные NULL-pointer разыменования бывают вплоть до невозможности выгрузить модуль. Но код общий, вероятность есть, имхо... Во мне бывают проблемы, но в коде nVidia они тоже есть, увы.

backbone ★★★★★ ()

Nouveau-то выключил (из initramfs убрал)? Если нуво загружен, то очевидно nvidia.ko стартовать не будет, так как не найдёт свою карточку.

lsmod | grep nouveau

d_a ★★★★★ ()
Ответ на: комментарий от backbone

при частой загрузке/выгрузке модуля

жесть. в блобе же есть какой-то prime, зачем такие изваращения? я уверен, что разрабы блоба вообще не тестируют выгрузку модуля и понимаю такой подход

anonymous ()
Ответ на: комментарий от wakuwaku

wakuwaku

Это скорее всего оптимус, я больше ничего не подскажу. У меня только лаптопы с амд и интелом. Расскажи всё же про железо в ОП, если хочешь, чтобы помогли быстрее. Ну и в нормальных дистрах драйвер есть в репах, может быть дело в этом тоже.

prime не ставил и в списке установленных пакетов его не нашел.

dpkg -l | grep primus.*
ii  primus               0~20130904-1~bpo70+1     amd64    client-side GPU offloading for NVIDIA Optimus
ii  primus-libs:amd64    0~20130904-1~bpo70+1     amd64    Shared libraries for primus
dpkg -l | grep .*nouveau.*
ii  libdrm-nouveau1a:amd64      2.4.40-1~deb7u2  amd64  Userspace interface to nouveau-specific kernel DRM services -- runtime
ii  xserver-xorg-video-nouveau  1:1.0.1-5        amd64  X.Org X server -- Nouveau display driver

Пробовал найти среди загруженных модулей - их там нет. После попытки установки 304.125 исчез модуль nvidia.

root@kali:~# lsmod | grep .*nouveau.*
root@kali:~# lsmod | grep .*nvidia.*

Ноутбук Acer ASPIRE 5742G-386G32Mnkk (Core i3 380M 2530 Mhz/15.6"/1366x768/6144Mb/320Gb/DVD-RW/Wi-Fi/Win 7 HB) Видеокарта NVIDIA GeForce 610M 1024 Мб GDDR3

Из репозитория пробовал, установщик пакетов зависает в самом начале после вопроса сохранить ли текущие настройки. Возможно конфликт с драйверами из пакета загруженного с сайта нвидии, я пока что не разбирался, стараюсь устанавливать по инструкции.

pod

Версия headers для загруженного ядра установлена?

Да

uname -a
Linux kali 3.18.0-kali3-amd64 #1 SMP Debian 3.18.6-1~kali2 (2015-03-02) x86_64 GNU/Linux
dpkg -l | grep linux-headers.*
ii  linux-headers-3.18.0-kali3-amd64        3.18.6-1~kali2                     amd64        Header files for Linux 3.18.0-kali3-amd64
ii  linux-headers-3.18.0-kali3-common       3.18.6-1~kali2                     amd64        Common header files for Linux 3.18.0-kali3
ii  linux-headers-amd64                     3.18+63+kali2.1                    amd64        Header files for Linux amd64 configuration (meta-package)

pod

А это говорит, что видеокарта не поддерживается этой версией драйвера.

304.125 вообще не установился в отличие от других версий, модуля нет. Если не поддерживается то тем более не буду пытаться её (версию 304.125) поставить.

anonymous

показывай lspci -nn

lspci -nn
00:00.0 Host bridge [0600]: Intel Corporation Core Processor DRAM Controller [8086:0044] (rev 02)
00:01.0 PCI bridge [0604]: Intel Corporation Core Processor PCI Express x16 Root Port [8086:0045] (rev 02)
00:02.0 VGA compatible controller [0300]: Intel Corporation Core Processor Integrated Graphics Controller [8086:0046] (rev 02)
00:16.0 Communication controller [0780]: Intel Corporation 5 Series/3400 Series Chipset HECI Controller [8086:3b64] (rev 06)
00:1a.0 USB controller [0c03]: Intel Corporation 5 Series/3400 Series Chipset USB2 Enhanced Host Controller [8086:3b3c] (rev 05)
00:1b.0 Audio device [0403]: Intel Corporation 5 Series/3400 Series Chipset High Definition Audio [8086:3b56] (rev 05)
00:1c.0 PCI bridge [0604]: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 1 [8086:3b42] (rev 05)
00:1c.1 PCI bridge [0604]: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 2 [8086:3b44] (rev 05)
00:1d.0 USB controller [0c03]: Intel Corporation 5 Series/3400 Series Chipset USB2 Enhanced Host Controller [8086:3b34] (rev 05)
00:1e.0 PCI bridge [0604]: Intel Corporation 82801 Mobile PCI Bridge [8086:2448] (rev a5)
00:1f.0 ISA bridge [0601]: Intel Corporation Mobile 5 Series Chipset LPC Interface Controller [8086:3b09] (rev 05)
00:1f.2 IDE interface [0101]: Intel Corporation 5 Series/3400 Series Chipset 4 port SATA IDE Controller [8086:3b28] (rev 05)
00:1f.3 SMBus [0c05]: Intel Corporation 5 Series/3400 Series Chipset SMBus Controller [8086:3b30] (rev 05)
00:1f.5 IDE interface [0101]: Intel Corporation 5 Series/3400 Series Chipset 2 port SATA IDE Controller [8086:3b2d] (rev 05)
00:1f.6 Signal processing controller [1180]: Intel Corporation 5 Series/3400 Series Chipset Thermal Subsystem [8086:3b32] (rev 05)
01:00.0 VGA compatible controller [0300]: NVIDIA Corporation Device [10de:0dea] (rev ff)
02:00.0 Ethernet controller [0200]: Broadcom Corporation NetLink BCM57780 Gigabit Ethernet PCIe [14e4:1692] (rev 01)
03:00.0 Network controller [0280]: Atheros Communications Inc. AR9287 Wireless Network Adapter (PCI-Express) [168c:002e] (rev 01)
ff:00.0 Host bridge [0600]: Intel Corporation Core Processor QuickPath Architecture Generic Non-core Registers [8086:2c62] (rev 02)
ff:00.1 Host bridge [0600]: Intel Corporation Core Processor QuickPath Architecture System Address Decoder [8086:2d01] (rev 02)
ff:02.0 Host bridge [0600]: Intel Corporation Core Processor QPI Link 0 [8086:2d10] (rev 02)
ff:02.1 Host bridge [0600]: Intel Corporation Core Processor QPI Physical 0 [8086:2d11] (rev 02)
ff:02.2 Host bridge [0600]: Intel Corporation Core Processor Reserved [8086:2d12] (rev 02)
ff:02.3 Host bridge [0600]: Intel Corporation Core Processor Reserved [8086:2d13] (rev 02)

backbone

После 331-ой версии очень много багов было на моей 310m, советую ставить именно 331-ую ветку, а потом уже экспериментировать с более новыми.

Попробую, но у меня чувство что проблема в том, что какой то драйвер\модуль мешает загрузиться модулю нвидиа и ваш совет не поможет. Сейчас я не понимаю через какой драйвер выводится видео. nouveau в blacklist`е, а nvidia не грузится.

d_a

Nouveau-то выключил (из initramfs убрал)?

nouveau в blacklist`е, думаю что выключил. Как из initramfs убрать и проверить? Не находит модуль nouveau среди загруженных, вывода команды нет.

lsmod | grep nouveau

drunkwolfs ()
Ответ на: комментарий от anonymous

жесть. в блобе же есть какой-то prime, зачем такие изваращения? я уверен, что разрабы блоба вообще не тестируют выгрузку модуля и понимаю такой подход

prime не отключает вторую карту, всё время работают обе и сажают батарею...

backbone ★★★★★ ()
Ответ на: комментарий от drunkwolfs

Сейчас я не понимаю через какой драйвер выводится видео. nouveau в blacklist`е, а nvidia не грузится.

Через интегрированный Intel значит выводится. А вообще lspci -k, там есть поле «Kernel driver in use».

nouveau в blacklist`е, думаю что выключил. Как из initramfs убрать и проверить? Не находит модуль nouveau среди загруженных, вывода команды нет.

Если в выводе lsmod нуво нет, то это значит что я не угадал и это не он мешает, и надо искать в другом месте. Видимо, дискретное видео на ноутбуках надо как-то дополнительно включать. А вообще сайт nvidia считает что для твоей карточки годится только 352.30 и никакой другой.

PS. Больше никогда не отвечай всем в одном посте, так как узнать что кто-то ответил при этом можно только по чистой случайности, так как уведомление не приходит, как тебе сейчас.

d_a ★★★★★ ()
Ответ на: комментарий от d_a

352.30 пробовал самым первым ставить. В дебиан 8 тоже драйвера не вставали, вроде тоже с модулем ошибка была связана. В архиве можно посмотреть все доступные версии для видеокарты, а не самую последнюю из стабильных.

drunkwolfs ()
Ответ на: комментарий от drunkwolfs

[ 1370.672421] Error: Driver 'nvlink' is already registered, aborting...

выглядит так, как будто какой то модуль в ядре мешается

покажи modinfo nvlink

JB ★★★★★ ()
Ответ на: комментарий от JB

Пишет модуль не найден. Я это еще до написания темы проверил.
Я тоже думаю что какой то модуль мешает, но какой?

drunkwolfs ()
Ответ на: комментарий от shooter93

Не только, CUDA много где используется, например в deepdream и для майнинга биткоинов, для генерации и перебора различных хешей.
В чистом дебиане 8 была такая же ошибка при загрузке модуля.
Прошу отвечать только по теме, проблема все еще не решена, продвижения в решении нет, дела обстоят также как и на момент создания темы.

drunkwolfs ()

У тебя проблема скорее всего с bbswitch, который выключает внешнюю карточку, до того момента когда её драйвер пытается загрузиться и получить ресурсы. После этого, даже если карточку включить через

echo ON > /proc/acpi/bbswitch

драйвер уже не заводится.

Продиагностировать эту проблему можно так:

dmesg | grep -E "bbswitch|NVRM"

если bbswitch будет первее NVRM, то не взлетит.

Варианты решения:

1) заставить bbswitch загружаться позже модуля nvidia

В файл /etc/modprobe.d/50-bbswitch.conf добавить строку:

softdep bbswitch pre:nvidia

2) или изменить опции bbswitch в этом же файле, чтобы он не выключал карту после запуска:

options bbswitch load_state=1 unload_state=1

Успехов!

navrocky ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.